<?php

//ini_set('date.timezone','Asia/Shanghai');
//error_reporting(E_ERROR);

require_once "weixin/Eshanghu.php";
 
function weixin_config() {
    $configarray = array(
     "FriendlyName" => array("Type" => "System", "Value"=>"易商户支付"),
	 "app_key" => array("FriendlyName" => "AppKey", "Type" => "text", "Size" => "128", ),
	 "app_secret" => array("FriendlyName" => "AppSecret", "Type" => "text", "Size" => "128", ),
	 "mch_id" => array("FriendlyName" => "商户号", "Type" => "text", "Size" => "32", ),
    );
	return $configarray;
}

function weixin_link($params) 
{
	# Invoice Variables
	$invoiceid = $params['invoiceid'];
	$description = $params["description"];
	$amount = $params['amount']; # Format: ##.##
	$currency = $params['currency']; # Currency Code
	//echo $invoiceid;
	# System Variables
	$companyname 		= $params['companyname'];
	$systemurl 			= $params['systemurl'];
	
	$wxconfig['app_key']=$params['app_key'];
	$wxconfig['mch_id']=$params['mch_id'];
	$wxconfig['app_secret']=$params['app_secret'];
	$wxconfig['notify']=$systemurl."/modules/gateways/weixin/notify.php";

	$eshanghu = new Eshanghu($wxconfig);
	
	$param['body']=$companyname ."-".$invoiceid;
	$param['out_trade_no']=$invoiceid;
	$param['total_fee']=$amount*100;
	// $param["spbill_create_ip"] =$_SERVER['REMOTE_ADDR'];//客户端IP地址
	//调用统一下单API接口

	$result=$eshanghu->create(mt_rand(10000, 99999).$param['out_trade_no'], $param['body'], $param['total_fee']);

	if($result["code"] == 200)
	{
	//	echo 1;
		$url2 = $result['data']["code_url"];
		$link = urlencode($url2);
		$code = '<div id="wximg" class="wx" style="max-width: 230px;margin: 0 auto"><img alt="模式二扫码支付" src="'.$systemurl.'/modules/gateways/weixin/qrcode.php?data='.$link.'" style="width:190px;height:190px;"/></div>
		<div id="wxDiv" class="wx" style="max-width: 230px;margin: 0 auto"><img src="'.$systemurl.'/modules/gateways/weixin/logo.png" border=0 width=160></div>
		';
	
		$code_ajax = '
	<!--微信支付ajax跳转-->
		<script>
		//设置每隔 1200 毫秒执行一次 load() 方法
		setInterval(function(){load()}, 1200);
		function load(){
			var xmlhttp;
			if (window.XMLHttpRequest){
				// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}else{
				// code for IE6, IE5
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			xmlhttp.onreadystatechange=function(){
				if (xmlhttp.readyState==4 && xmlhttp.status==200){
					trade_state=xmlhttp.responseText;
					if(trade_state=="SUCCESS"){
						document.getElementById("wximg").style.display="none";
						document.getElementById("wxDiv").innerHTML="支付成功";
						//延迟 2 秒执行 tz() 方法
						setTimeout(function(){tz()}, 1200);
						function tz(){
							window.location.href="'.$systemurl.'/viewinvoice.php?id='.$invoiceid.'";
						}
					}
				}
			}
			//invoice_status.php 文件返回订单状态，通过订单状态确定支付状态
			xmlhttp.open("get","'.$systemurl.'/modules/gateways/weixin/invoice_status.php?invoiceid='.$invoiceid.'",true);
			//下面这句话必须有
			//把标签/值对添加到要发送的头文件。
			//xmlhttp.setRequestHeader("Content-type","application/x-www-form-urlencoded");
			//xmlhttp.send("out_trade_no=002111");
			xmlhttp.send();
		}
	</script>';
		
		$code = $code.$code_ajax;
		
		if (stristr($_SERVER['PHP_SELF'], 'viewinvoice')) {
			return $code;
		} 
	}	
	
	else
	{
		//echo 2;
		return $result["message"];
	}
	
}


?>