<?php

# Required File Includes
include("../../../init.php");
include("../../../includes/functions.php");
include("../../../includes/gatewayfunctions.php");
include("../../../includes/invoicefunctions.php");

require_once "Eshanghu.php";

$ca = new WHMCS_ClientArea();
$userid = $ca->getUserID() ;
use Illuminate\Database\Capsule\Manager as Capsule;

$gatewaymodule = "weixin"; # Enter your gateway module name here replacing template
$GATEWAY = getGatewayVariables($gatewaymodule);

$url			= $GATEWAY['systemurl'];
$companyname 	= $GATEWAY['companyname'];
$currency		= $GATEWAY['currency'];

if (!$GATEWAY["type"]) die("Module Not Activated"); # Checks gateway module is active before accepting callback

$wxconfig['app_key']=$GATEWAY['app_key'];
$wxconfig['mch_id']=$GATEWAY['mch_id'];
$wxconfig['app_secret']=$GATEWAY['app_secret'];
$wxconfig['notify']='';

$wxpay = new Eshanghu($wxconfig);

$verify_result = $wxpay->callback($_POST);

if(!$verify_result) { 
	//echo 1;
	logTransaction($GATEWAY["name"],$_POST,"Unsuccessful1");
	echo 'Unsuccessful1';
	
	exit;
}
# Get Returned Variables
$status = $verify_result['status'];    //获取易商户传递过来的交易状态
$invoiceid = $verify_result['out_trade_no']; //获取易商户传递过来的订单号
$invoiceid = substr($invoiceid, 5);
$transid = $verify_result['order_sn'];       //获取易商户传递过来的交易号
$amount = $verify_result['total_fee']/100;       //获取易商户传递过来的总价格
$fee = 0;


if($status == 9 ) {
	
	$paidcurrency = "CNY"; /////////////////////////////////使用的货币符号
	
	$currency_data     = Capsule::table('tblcurrencies')->where('code',$paidcurrency)->get();
	$paidcurrencyid =  $currency_data[0]->id;

	$userid = $data['userid'];
	$currency = getCurrency( $userid );
	
	if ($paidcurrencyid != $currency['id']) {
		$amount = convertCurrency( $amount, $paidcurrencyid, $currency['id'] );
		$fee = convertCurrency( $fee, $paidcurrencyid, $currency['id'] );
	}
	
	$invoiceid = checkCbInvoiceID($invoiceid,$GATEWAY["name"]); # Checks invoice ID is a valid invoice number or ends processing
	// echo $invoiceid;
	// checkCbTransID($transid); # Checks transaction number isn't already in the database and ends processing if it does
	addInvoicePayment($invoiceid,$transid,$amount,$fee,$gatewaymodule);
	logTransaction($GATEWAY["name"],$_POST,"Successful");
	echo 'success';
}

?>